- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gst::CdParanoiaSrc Class Reference
[gstreamermm Plugins]

Gst::CdParanoiaSrc - cdparanoiasrc plugin. More...

`#include <cdparanoiasrc.h>`

Inheritance diagram for Gst::CdParanoiaSrc:

List of all members.

## Public Member Functions
virtual | ~CdParanoiaSrc ()
GstCdParanoiaSrc* | gobj ()
| Provides access to the underlying C GObject.
const GstCdParanoiaSrc* | gobj () const
| Provides access to the underlying C GObject.
GstCdParanoiaSrc* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy<int> | property_read_speed ()
| Read from device at specified speed.
Glib::PropertyProxy_ReadOnly<int> | property_read_speed () const
| Read from device at specified speed.
Glib::PropertyProxy <CdParanoiaMode> | property_paranoia_mode ()
| Type of checking to perform.
Glib::PropertyProxy_ReadOnly <CdParanoiaMode> | property_paranoia_mode () const
| Type of checking to perform.
Glib::PropertyProxy<int> | property_search_overlap ()
| Force minimum overlap search during verification to n sectors.
Glib::PropertyProxy_ReadOnly<int> | property_search_overlap () const
| Force minimum overlap search during verification to n sectors.
Glib::PropertyProxy <Glib::ustring> | property_generic_device ()
| Use specified generic scsi device.
Glib::PropertyProxy_ReadOnly <Glib::ustring> | property_generic_device () const
| Use specified generic scsi device.
Glib::SignalProxy1<void, int> | signal_transport_error ()
| Prototype: `void on_my_transport_error(int arg0)`
Glib::SignalProxy1<void, int> | signal_uncorrected_error ()
| Prototype: `void on_my_uncorrected_error(int arg0)`
## Static Public Member Functions
static Glib::RefPtr <CdParanoiaSrc> | create ()
| Creates a new cdparanoiasrc plugin with a unique name.
static Glib::RefPtr <CdParanoiaSrc> | create (const Glib::ustring& name)
| Creates a new cdparanoiasrc plugin with the given name.
## Protected Member Functions
| CdParanoiaSrc ()
| CdParanoiaSrc (const Glib::ustring& name)
virtual void | on_transport_error (int arg0)
virtual void | on_uncorrected_error (int arg0)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gst::CdParanoiaSrc> | wrap (GstCdParanoiaSrc* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Gst::CdParanoiaSrc - cdparanoiasrc plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::CdParanoiaSrc::~CdParanoiaSrc | ( |  | ) | `[virtual]`

Gst::CdParanoiaSrc::CdParanoiaSrc | ( |  | ) | `[protected]`

Gst::CdParanoiaSrc::CdParanoiaSrc | ( | const Glib::ustring & | name | ) | `[protected]`

## Member Function Documentation

GstCdParanoiaSrc* Gst::CdParanoiaSrc::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::PushSrc.

const GstCdParanoiaSrc* Gst::CdParanoiaSrc::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::PushSrc.

GstCdParanoiaSrc* Gst::CdParanoiaSrc::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::PushSrc.

static Glib::RefPtr<CdParanoiaSrc> Gst::CdParanoiaSrc::create | ( |  | ) | `[static]`

Creates a new cdparanoiasrc plugin with a unique name.

static Glib::RefPtr<CdParanoiaSrc> Gst::CdParanoiaSrc::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new cdparanoiasrc plugin with the given name.

Glib::PropertyProxy<int> Gst::CdParanoiaSrc::property_read_speed | ( |  | ) |

Read from device at specified speed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::CdParanoiaSrc::property_read_speed | ( |  | ) | const

Read from device at specified speed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<CdParanoiaMode> Gst::CdParanoiaSrc::property_paranoia_mode | ( |  | ) |

Type of checking to perform.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<CdParanoiaMode> Gst::CdParanoiaSrc::property_paranoia_mode | ( |  | ) | const

Type of checking to perform.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::CdParanoiaSrc::property_search_overlap | ( |  | ) |

Force minimum overlap search during verification to n sectors.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::CdParanoiaSrc::property_search_overlap | ( |  | ) | const

Force minimum overlap search during verification to n sectors.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gst::CdParanoiaSrc::property_generic_device | ( |  | ) |

Use specified generic scsi device.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::CdParanoiaSrc::property_generic_device | ( |  | ) | const

Use specified generic scsi device.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::SignalProxy1< void,int > Gst::CdParanoiaSrc::signal_transport_error | ( |  | ) |

Prototype:
  `void on_my_transport_error(int arg0)`

Glib::SignalProxy1< void,int > Gst::CdParanoiaSrc::signal_uncorrected_error | ( |  | ) |

Prototype:
  `void on_my_uncorrected_error(int arg0)`

virtual void Gst::CdParanoiaSrc::on_transport_error | ( | int | arg0 | ) | `[protected, virtual]`

virtual void Gst::CdParanoiaSrc::on_uncorrected_error | ( | int | arg0 | ) | `[protected, virtual]`

## Friends And Related Function Documentation

Glib::RefPtr<Gst::CdParanoiaSrc> wrap | ( | GstCdParanoiaSrc * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cdparanoiasrc.h